> ## Documentation Index
> Fetch the complete documentation index at: https://docs.siftstack.com/llms.txt
> Use this file to discover all available pages before exploring further.

# ListFamilyAlignments

> Lists all alignments for a specific family version.



## OpenAPI

````yaml /openapi.json get /api/v1/families/versions/{familyVersionId}/alignments
openapi: 3.0.0
info:
  title: Sift API
  version: '1.0'
servers:
  - url: https://api.siftstack.com
    description: Production
  - url: https://gov.api.siftstack.com
    description: Gov
security:
  - BearerAuth: []
tags:
  - name: TagService
    description: Service to programmatically interact with [tags](/glossary#tag).
  - name: CampaignService
  - name: ProtobufDescriptorService
    description: >-
      Service to programmatically interact with protobuf descriptors used for
      protobuf ingestion.
    externalDocs:
      description: Read more about what protobuf ingestion.
      url: /ingestion/protobuf_ingestion
  - name: AnnotationLogService
    description: >-
      Service to programmatically interact with [annotation
      logs](/glossary#annotation).
    externalDocs:
      description: Read more about annotations.
      url: >-
        https://customer.support.siftstack.com/servicedesk/customer/portal/2/article/265486685
  - name: MetadataService
  - name: DlqErrorsService
  - name: RuleService
    description: Service to programmatically interact with rules.
    externalDocs:
      description: Read more about what rules are.
      url: >-
        https://customer.support.siftstack.com/servicedesk/customer/portal/2/article/265421102
  - name: WebhookService
  - name: UserDefinedFunctionService
  - name: ReportTemplateService
  - name: RemoteFileService
  - name: PingService
  - name: FamilyService
    description: Service to programmatically interact with family configurations.
  - name: ExternalSyncService
  - name: ReportService
  - name: NotificationService
    description: Service to programmatically interact with in-app notifications.
  - name: ChannelSchemaService
    description: Service to programmatically interact with channel schemas
  - name: IngestService
  - name: UserService
    description: Service to programmatically interact with user objects.
  - name: TestReportService
    description: Service to manage test reports
  - name: PrincipalAttributeService
    description: Service to manage ABAC principal attributes.
  - name: ChannelService
    description: Service to programmatically interact with [channels](/glossary#channel).
    externalDocs:
      description: Read more about what channels are.
      url: >-
        https://customer.support.siftstack.com/servicedesk/customer/portal/2/article/265453943
  - name: DataImportService
  - name: ExportService
  - name: PolicyService
    description: Service to manage ABAC policies.
  - name: ApiKeyService
  - name: CommentService
    description: >-
      Service to programmatically interact with comments attached to resources
      in the platform.
  - name: JobService
  - name: UserGroupService
  - name: ResourceAttributeService
    description: Service to manage ABAC resource attributes (entity attributes).
  - name: AutomationService
  - name: ViewService
    description: Service to programmatically interact with views.
    externalDocs:
      description: Read more about what views are.
      url: >-
        https://customer.support.siftstack.com/servicedesk/customer/portal/2/article/298188809
  - name: UnitService
  - name: DocsService
  - name: RoleService
  - name: SavedSearchService
  - name: RuleEvaluationService
    description: Service to evaluate rules.
    externalDocs:
      description: Read more about what rules are.
      url: >-
        https://customer.support.siftstack.com/servicedesk/customer/portal/2/article/265421102
  - name: RunService
    description: Service to programmatically interact with [runs](/glossary#run).
    externalDocs:
      description: Read more about what runs are.
      url: >-
        https://customer.support.siftstack.com/servicedesk/customer/portal/2/article/265454053
  - name: PanelConfigurationService
    description: Service to programmatically interact with panel configurations.
  - name: IngestionConfigService
    description: >-
      Service to programmatically interact with [ingestion
      configs](/glossary#ingestion-config).
    externalDocs:
      description: Read more about what ingestion configs are.
      url: /ingestion/creating-amend-ingestion-config
  - name: CalculatedChannelService
  - name: CalculatedChannelsService
    description: Service to programmatically interact with calculated channels.
    externalDocs:
      description: Read more about calculated channels.
      url: >-
        https://customer.support.siftstack.com/servicedesk/customer/portal/2/article/265421153
  - name: AnnotationService
    description: Service to programmatically interact with annotations.
    externalDocs:
      description: Read more about annotations.
      url: >-
        https://customer.support.siftstack.com/servicedesk/customer/portal/2/article/265486685
  - name: DataService
    description: Service to query data
  - name: MeService
  - name: AssetService
    description: Service to programmatically interact with [assets](/glossary#asset).
    externalDocs:
      description: Read more about what assets are.
      url: /data-model
paths:
  /api/v1/families/versions/{familyVersionId}/alignments:
    get:
      tags:
        - FamilyService
      summary: ListFamilyAlignments
      description: Lists all alignments for a specific family version.
      operationId: FamilyService_ListFamilyAlignments
      parameters:
        - name: familyVersionId
          description: Provide family_id to identify the family to list alignments.
          in: path
          required: true
          schema:
            type: string
        - name: pageSize
          description: >-
            The maximum number of family version alignments to return. The
            service may return fewer than this value, even if

            there are additional pages. If unspecified, the limit defaults to
            200. The maximum value is 1000.
          in: query
          required: false
          schema:
            type: integer
            format: int64
        - name: filter
          description: >-
            A [Common Expression Language
            (CEL)](https://github.com/google/cel-spec) filter string.

            Available fields to filter by are: `name`, `description`.

            For further information about how to use CELs, please refer to [this
            guide](https://github.com/google/cel-spec/blob/master/doc/langdef.md#standard-definitions).
          in: query
          required: false
          schema:
            type: string
        - name: pageToken
          description: >-
            A page token, received from a previous `ListFamilyAlignments` call.
            Provide this to retrieve the

            subsequent page. When paginating, all other parameters provided to
            `ListFamilyAlignments` must match

            the call that provided the page token.
          in: query
          required: false
          schema:
            type: string
      responses:
        '200':
          description: A successful response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/v1ListFamilyAlignmentsResponse'
        default:
          description: An unexpected error response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/rpcStatus'
components:
  schemas:
    v1ListFamilyAlignmentsResponse:
      type: object
      properties:
        familyAlignments:
          type: array
          items:
            $ref: '#/components/schemas/v1FamilyAlignment'
        nextPageToken:
          type: string
          description: >-
            A token, which can be sent as `page_token` to retrieve the next
            page. If this field is omitted, there are no subsequent pages.
      required:
        - familyAlignments
    rpcStatus:
      type: object
      properties:
        code:
          type: integer
          format: int32
        message:
          type: string
        details:
          type: array
          items:
            $ref: '#/components/schemas/protobufAny'
    v1FamilyAlignment:
      type: object
      properties:
        familyAlignmentId:
          type: string
          description: >-
            When creating a family, this field can contain a temporary
            identifier

            provided by the client for referencing this alignment in
            family_stats. The temporary ID

            must be unique within the CreateFamilyRequest and is required when
            this alignment is

            referenced in family_stats. The service will resolve it to the
            actual alignment ID.

            When updating a family, this field must contain the actual
            family_alignment_id.

            In responses, this field contains the actual family_alignment_id.
        familyVersionId:
          type: string
          readOnly: true
        name:
          type: string
          description: The name of the alignment. Must be unique within the family.
        description:
          type: string
        run:
          $ref: '#/components/schemas/v1RunAlignment'
        annotation:
          $ref: '#/components/schemas/v1DefaultAnnotationAlignment'
        timestamp:
          $ref: '#/components/schemas/v1TimestampAlignment'
        familyAlignmentPoints:
          type: array
          items:
            $ref: '#/components/schemas/v1FamilyAlignmentPoint'
          description: >-
            Specific alignment points for each family member for the alignment.
            If not provided for a family member, the member does not implement
            this alignment.
      description: >-
        FamilyAlignment represents a family-level time-alignment for naming and
        resolving run relative times.
      required:
        - familyAlignmentId
        - familyVersionId
        - name
        - familyAlignmentPoints
    protobufAny:
      type: object
      properties:
        '@type':
          type: string
          description: >-
            A URL/resource name that uniquely identifies the type of the
            serialized

            protocol buffer message. This string must contain at least

            one "/" character. The last segment of the URL's path must represent

            the fully qualified name of the type (as in

            `path/google.protobuf.Duration`). The name should be in a canonical
            form

            (e.g., leading "." is not accepted).


            In practice, teams usually precompile into the binary all types that
            they

            expect it to use in the context of Any. However, for URLs which use
            the

            scheme `http`, `https`, or no scheme, one can optionally set up a
            type

            server that maps type URLs to message definitions as follows:


            * If no scheme is provided, `https` is assumed.

            * An HTTP GET on the URL must yield a [google.protobuf.Type][]
              value in binary format, or produce an error.
            * Applications are allowed to cache lookup results based on the
              URL, or have them precompiled into a binary to avoid any
              lookup. Therefore, binary compatibility needs to be preserved
              on changes to types. (Use versioned type names to manage
              breaking changes.)

            Note: this functionality is not currently available in the official

            protobuf release, and it is not used for type URLs beginning with

            type.googleapis.com. As of May 2023, there are no widely used type
            server

            implementations and no plans to implement one.


            Schemes other than `http`, `https` (or the empty scheme) might be

            used with implementation specific semantics.
      additionalProperties: {}
      description: >-
        `Any` contains an arbitrary serialized protocol buffer message along
        with a

        URL that describes the type of the serialized message.


        Protobuf library provides support to pack/unpack Any values in the form

        of utility functions or additional generated methods of the Any type.


        Example 1: Pack and unpack a message in C++.

            Foo foo = ...;
            Any any;
            any.PackFrom(foo);
            ...
            if (any.UnpackTo(&foo)) {
              ...
            }

        Example 2: Pack and unpack a message in Java.

            Foo foo = ...;
            Any any = Any.pack(foo);
            ...
            if (any.is(Foo.class)) {
              foo = any.unpack(Foo.class);
            }
            // or ...
            if (any.isSameTypeAs(Foo.getDefaultInstance())) {
              foo = any.unpack(Foo.getDefaultInstance());
            }

         Example 3: Pack and unpack a message in Python.

            foo = Foo(...)
            any = Any()
            any.Pack(foo)
            ...
            if any.Is(Foo.DESCRIPTOR):
              any.Unpack(foo)
              ...

         Example 4: Pack and unpack a message in Go

             foo := &pb.Foo{...}
             any, err := anypb.New(foo)
             if err != nil {
               ...
             }
             ...
             foo := &pb.Foo{}
             if err := any.UnmarshalTo(foo); err != nil {
               ...
             }

        The pack methods provided by protobuf library will by default use

        'type.googleapis.com/full.type.name' as the type URL and the unpack

        methods only use the fully qualified type name after the last '/'

        in the type URL, for example "foo.bar.com/x/y.z" will yield type

        name "y.z".


        JSON

        ====

        The JSON representation of an `Any` value uses the regular

        representation of the deserialized, embedded message, with an

        additional field `@type` which contains the type URL. Example:

            package google.profile;
            message Person {
              string first_name = 1;
              string last_name = 2;
            }

            {
              "@type": "type.googleapis.com/google.profile.Person",
              "firstName": <string>,
              "lastName": <string>
            }

        If the embedded message type is well-known and has a custom JSON

        representation, that representation will be embedded adding a field

        `value` which holds the custom JSON in addition to the `@type`

        field. Example (for message [google.protobuf.Duration][]):

            {
              "@type": "type.googleapis.com/google.protobuf.Duration",
              "value": "1.212s"
            }
    v1RunAlignment:
      type: object
      properties:
        bound:
          $ref: '#/components/schemas/v1TimeRangeBound'
      required:
        - bound
    v1DefaultAnnotationAlignment:
      type: object
      properties:
        annotationName:
          type: string
        bound:
          $ref: '#/components/schemas/v1TimeRangeBound'
        occurrence:
          $ref: '#/components/schemas/v1AnnotationOccurrence'
        occurrenceIndex:
          type: integer
          format: int32
          description: >-
            Index of the annotation to use when occurrence is "nth". Positive
            indices start from the beginning, negative from the end.
      required:
        - annotationName
        - bound
        - occurrence
    v1TimestampAlignment:
      type: object
      properties:
        timestamp:
          type: string
          format: date-time
      required:
        - timestamp
    v1FamilyAlignmentPoint:
      type: object
      properties:
        familyAlignmentPointId:
          type: string
          description: >-
            When creating a family, this field can contain a temporary
            identifier

            provided by the client for referencing this alignment point in
            family_stats. The temporary ID

            must be unique within the CreateFamilyRequest and is required when
            this alignment point is

            referenced in family_stats. The service will resolve it to the
            actual alignment_point_id.

            When updating a family, this field must contain the actual
            family_alignment_point_id.

            In responses, this field contains the actual
            family_alignment_point_id.

            Can be empty string if not referenced in family_stats.
        familyRunId:
          type: string
          readOnly: true
        runId:
          type: string
        familyAlignmentId:
          type: string
          readOnly: true
        run:
          $ref: '#/components/schemas/v1RunAlignment'
        annotation:
          $ref: '#/components/schemas/v1AnnotationAlignment'
        timestamp:
          $ref: '#/components/schemas/v1TimestampAlignment'
      description: >-
        FamilyAlignmentPoint represents a member specific time-alignment for the
        FamilyAlignment.
      required:
        - familyAlignmentPointId
        - familyRunId
        - runId
        - familyAlignmentId
    v1TimeRangeBound:
      type: string
      enum:
        - TIME_RANGE_BOUND_UNSPECIFIED
        - TIME_RANGE_BOUND_START
        - TIME_RANGE_BOUND_END
      default: TIME_RANGE_BOUND_UNSPECIFIED
    v1AnnotationOccurrence:
      type: string
      enum:
        - ANNOTATION_OCCURRENCE_UNSPECIFIED
        - ANNOTATION_OCCURRENCE_FIRST
        - ANNOTATION_OCCURRENCE_LAST
        - ANNOTATION_OCCURRENCE_EVERY
        - ANNOTATION_OCCURRENCE_NTH
      default: ANNOTATION_OCCURRENCE_UNSPECIFIED
    v1AnnotationAlignment:
      type: object
      properties:
        annotationId:
          type: string
        bound:
          $ref: '#/components/schemas/v1TimeRangeBound'
      required:
        - annotationId
        - bound
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````